api_platform:
    title: SITE WEB
    description: Liste des ressources APIs pour la gestion des fonctionnalités frontend (backoffice et frontoffice) des sites web
    version: 1.0.0
    # Good defaults for REST APIs
    defaults:
        stateless: true
        cache_headers:
            vary: ['Content-Type', 'Authorization', 'Origin']
        extra_properties:
            standard_put: true
    mapping:
        paths: ['%kernel.project_dir%/src/Entity', '%kernel.project_dir%/src/Payload']

    formats:
        json: ['application/json']
        jsonld: ['application/ld+json']
        html: ['text/html']
        multipart: ['multipart/form-data']

    swagger:
        api_keys:
            JWT:
                name: Authorization
                type: header
